Bug 1829331 - test: [sig-storage] GCP Volumes GlusterFS [Top Level] [sig-storage] GCP Volumes GlusterFS should be mountable
Summary: test: [sig-storage] GCP Volumes GlusterFS [Top Level] [sig-storage] GCP Volum...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-29 12:03 UTC by Periklis Tsirakidis
Modified: 2020-07-13 17:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
test: [sig-storage] GCP Volumes GlusterFS [Top Level] [sig-storage] GCP Volumes GlusterFS should be mountable [Suite:openshift/conformance/parallel] [Suite:k8s]
Last Closed: 2020-07-13 17:32:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24952 0 None closed Bug 1829331: UPSTREAM: 90715: Ignore NotFound error when cleaning up Gluster tests 2021-02-15 19:11:47 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:33:01 UTC

Description Periklis Tsirakidis 2020-04-29 12:03:03 UTC
test: [sig-storage] GCP Volumes GlusterFS [Top Level] [sig-storage] GCP Volumes GlusterFS should be mountable [Suite:openshift/conformance/parallel] [Suite:k8s] failed, see job: 

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-shared-vpc-4.4/96

GCP-related Test running on AWS?

Comment 1 Jan Safranek 2020-04-29 12:52:25 UTC
Running "GCP Volumes GlusterFS" on AWS is fine, it tests GlusterFS volumes that are available everywhere. Question is why the test fails:

fail [k8s.io/kubernetes/test/e2e/common/volumes.go:132]: defer: Gluster delete endpoints failed
Unexpected error:
    <*errors.StatusError | 0xc001aa8460>: {
        ErrStatus: {
            TypeMeta: {Kind: "", APIVersion: ""},
            ListMeta: {
                SelfLink: "",
                ResourceVersion: "",
                Continue: "",
                RemainingItemCount: nil,
            },
            Status: "Failure",
            Message: "endpoints \"gluster-server\" not found",
            Reason: "NotFound",
            Details: {
                Name: "gluster-server",
                Group: "",
                Kind: "endpoints",
                UID: "",
                Causes: nil,
                RetryAfterSeconds: 0,
            },
            Code: 404,
        },
    }
    endpoints "gluster-server" not found
occurred

Comment 3 Jan Safranek 2020-05-04 10:59:48 UTC
Upstream PR: https://github.com/kubernetes/kubernetes/pull/90715

Comment 7 Qin Ping 2020-05-11 03:37:19 UTC
The last error is in https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-gcp-4.5/1057, in this e2e test the patch was not merged yet.

After this job, this issue is not found yet. But for this issue does not happen always, and it's ratio is 1.5% in OCP4.5, so I'll watch more time to verify this bug.

Comment 8 Qin Ping 2020-05-13 13:21:32 UTC
Checked the ci jobs from 1058~1120, no this issue found.

So, marked this bug as verified.

Comment 9 errata-xmlrpc 2020-07-13 17:32:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.